=== debian/control ===
Source: ros-indigo-spin-hokuyo
Section: misc
Priority: extra
Maintainer: Sarah Bertussi <sbertuss@stevens.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamixel-controllers, ros-indigo-dynamixel-driver, ros-indigo-dynamixel-msgs, ros-indigo-geometry-msgs, ros-indigo-hokuyo-node, ros-indigo-laser-assembler, ros-indigo-laser-geometry, ros-indigo-message-generation, ros-indigo-pcl-conversions, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-spin-hokuyo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-diagnostic-msgs, ros-indigo-dynamixel-driver, ros-indigo-dynamixel-msgs, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-trajectory-msgs
Description: This package enables a 2D Hokuyo laser, connected to a Dynamixel servo motor, to produce a 3D point cloud that can be visualized in rviz and used to make an octomap.
